<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="BITMAP.html"><font color="#008000">BITMAP</font></a>[<font color="#008000">E</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Generic Bitmap."</font>;

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_abstract_bitmap</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_y_line</font></strong> y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Data.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pixel_geometry</font></strong>:<a href="PIXEL.html"><font color="#008000">PIXEL</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation. </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> (w,h:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">at</font></strong> offset_begin:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <strong><font color="#0000FF">bytes_per_line</font></strong> lx:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  
  <br><font FACE="Sans-serif" color="#000000"><B>****************************************************************************</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>*                               PutImage                                   *</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>****************************************************************************</B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put_bitmap</font></strong> bmp:<a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a> <strong><font color="#0000FF">to</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put_bitmap</font></strong> bmp:<a href="ABSTRACT_BITMAP.html"><font color="#008000">ABSTRACT_BITMAP</font></a> <strong><font color="#0000FF">to</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">scale</font></strong> (scale_x,scale_y:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <-
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Low level.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>   </B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">color</font></strong> col:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">line_h_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) <strong><font color="#0000FF">until</font></strong> x1:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <strong><font color="#0000FF">image</font></strong> line:<a href="ABSTRACT_BMP_LINE.html"><font color="#008000">ABSTRACT_BMP_LINE</font></a> <strong><font color="#0000FF">offset</font></strong> ofs:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_pixel_hard</font></strong> (x,y:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>) :<a href="PIXEL.html"><font color="#008000">PIXEL</font></a> <-
   
</body>
</html>
 